## maildir-bulletin-0.61.tgz

=== Makefile ===

##AIX
#HOMEDIR=/home/popbully
#DEFINES=-DAIX '-DBULLETINSDIR="/home/popbully/bulletins"'
#BINDIR=/local/sbin

##LINUX
HOMEDIR=/var/lib/maildir-bulletin
BINDIR=/usr/sbin

BASEDEF='-DHOMEDIR="$(HOMEDIR)"'

##AIX
#CC=xlc -O3 -I/local/include/g++-3 $(DEFINES) $(BASEDEF)

##LINUX
CC=gcc -O2 -g -Wall $(DEFINES) $(BASEDEF)

LFLAGS=-lstdc++

OBJS=mb_util.o
PROGRAMS=maildir-bulletin bulletin-expire

all: $(PROGRAMS)

maildir-bulletin: maildir-bulletin.cpp $(OBJS)
	$(CC) $(OBJS) -o $@ $< $(LFLAGS)

%: %.cpp $(OBJS)
	$(CC) $(OBJS) -o $@ $< $(LFLAGS)

clean:
	rm -f $(PROGRAMS) $(OBJS) build build-stamp
	rm -rf debian/tmp

install:
	strip $(PROGRAMS)
	mkdir -p $(DESTDIR)$(HOMEDIR)/tmp
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(PROGRAMS) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)/home/bulletins/removed

permissions:
	chmod 711 $(DESTDIR)$(HOMEDIR)
	chmod 700 $(DESTDIR)$(HOMEDIR)/tmp
	chgrp postnogr $(DESTDIR)$(BINDIR)/maildir-bulletin
	chmod 4710 $(DESTDIR)$(BINDIR)/maildir-bulletin
	chmod 700 $(DESTDIR)/home/bulletins/removed
	chmod 711 $(DESTDIR)/home/bulletins

%.o: %.cpp %.h maildir-bulletin.h
	$(CC) -c $< -o $@

=== debian/changelog ===
maildir-bulletin (0.61) unstable; urgency=low

  * Fixed some debian packaging bugs.

 -- Russell Coker <russell@coker.com.au>  Sat,  1 Jan 1999 18:38:41 +1100

maildir-bulletin (0.60) unstable; urgency=low

  * Now if you have a line of the message "BULLETIN_EXPIRY:yyyy-mm-dd" then
    the file name will include "yyyy-mm-dd" at the end, this will be used by
    the expiry process.  Also added bulletin-expire which can be run from
    cron to expire bulletins by date or manually to expire selected bulletins.

 -- Russell Coker <russell@coker.com.au>  Thu,  9 Dec 1999 16:33:45 +0200

maildir-bulletin (0.52) unstable; urgency=low

  * Fixed heaps of bugs which showed up when using with Qmail. Also now works
    on machines with /home on a seperate partition.

 -- Russell Coker <russell@coker.com.au>  Thu, 25 Nov 1999 14:37:16 +0200

maildir-bulletin (0.51) unstable; urgency=low

  * Fixed two minor bugs that stopped it compiling on slink, also now it will
    fsync() everything before returning.

 -- Russell Coker <russell@coker.com.au>  Thu, 21 Oct 1999 11:55:16 +0200

maildir-bulletin (0.50) unstable; urgency=low

  * Initial release.

 -- Russell Coker <russell@coker.com.au>  Wed, 20 Oct 1999 16:05:16 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: maildir-bulletin
Section: mail
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.0.1

Package: maildir-bulletin
Architecture: any
Depends: sed, ${shlibs:Depends}
Description: Program to deliver bulletins to the Maildir mail storage of users
 on the system.  Designed to be run from the /etc/aliases file with command-
 line parameters for which groups to send mail to.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmanpages
	dh_installinfo
	dh_link /home/bulletins /var/lib/maildir-bulletin/bulletins
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	debian/preinst
	$(MAKE) permissions DESTDIR=`pwd`/debian/tmp
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
